package tutorial.core.services.util;

import java.util.ArrayList;
import java.util.List;
import tutorial.core.models.entities.ActiveIngredientRecomendation;

/**
 * 
 * @author Xavier
 */
public class ActiveIngredientRecomendationList {
    private List<ActiveIngredientRecomendation> entries = new ArrayList<ActiveIngredientRecomendation>();
    private Long activeIngredientId;

    /**
     *
     * @param activeIngredientId
     * @param entries
     */
    public ActiveIngredientRecomendationList(Long activeIngredientId, List<ActiveIngredientRecomendation> entries) {
        this.activeIngredientId = activeIngredientId;
        this.entries = entries;
    }

    /**
     *
     * @return
     */
    public List<ActiveIngredientRecomendation> getEntries() {
        return entries;
    }

    /**
     *
     * @param entries
     */
    public void setEntries(List<ActiveIngredientRecomendation> entries) {
        this.entries = entries;
    }

    /**
     *
     * @return
     */
    public Long getActiveIngredientId() {
        return activeIngredientId;
    }

    /**
     *
     * @param activeIngredientId
     */
    public void setActiveIngredientId(Long activeIngredientId) {
        this.activeIngredientId = activeIngredientId;
    }
}
